* {
    /* font-family: 'Academy Engraved LET'; */
    font-weight: bold;
}

.show_all h1 {
    margin: 20px 50px 10px 50px ;  /*top, right, bottom, left */
}

p {
    margin: 0 50px 10px 50px ;  /* top, right, bottom, left  */
}


.show_all {
    position: relative;
    background: url("../img/fond_bois2.jpg");
    background-size: cover;
    background-position: center;
    padding: 2rem;
    margin-top: 80px;
}

.show_all::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.521);
    z-index: 1;
}

.show_all > * {
    position: relative;
    z-index: 2;
}


/* --- DESCRIPTION MEUBLE AVANT PHOTOS --- */
.meuble_partie_haute {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    display: flex;
    max-width: 1000px;
    margin: 0 auto 1rem auto;
}

.meuble_partie_haute h1 {
    margin: 0 auto 2rem auto;
    text-align: center;
    font-size: 3rem;
}

.meuble_partie_haute .real, .meuble_partie_haute .desc {
    width: 100%;
    text-align: center;
    font-size: x-large;
    font-weight: bold;
}

.meuble_partie_haute .real {
    margin-top: 1rem;
    /* font-weight: bold; */
}


/* --- GALLERIE --- */
.gallerie {
    max-width: 1300px;
    display: flex;
    align-items: space;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
}

.photo {
    position: relative;
    padding: 0;
    margin: 10px;
    max-width: 400px;
    min-width: 400px;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    flex: 1;
    border-radius: 10px;
}


/*-- Effet punaises --*/

.photo::before, 
.photo::after {
    content: '';
    position: absolute;
    width: 30px;
    height: 30px;
    background-image: url('../img/icon/punaise.png');
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 10;
}

.photo::before {
    top: 0;
    left: 0;
}

.photo::after {
    top: 0;
    right: -4px;
}



.mado_image {
    object-fit: cover;
    height: 100%;
    width: 100%;
    cursor: pointer;
    transition: opacity 0.3s ease;
    border-radius: 10px;
    object-fit: cover;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.9), 0 3px 6px rgba(0, 0, 0, 0.8), 0 1px 3px rgba(0, 0, 0, 0.7);
    background-color: white;
    padding: 1rem;
    transition: transform 0.5s ease;
}

/* Effet de réduction de l'opacité au survol */
.mado_image:hover {
    transform: scale(1.04);
}


.image-container {
    position: relative;
    display: inline-block;
}



/* --- DESCRIPTION MEUBLE APRÈS PHOTOS --- */

.partie_sous_gallerie {
    flex-direction: row;
    width: 100%;
    max-width: 1300px;
    margin: 1rem auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.meuble_partie_basse {
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    display: flex;
    max-width: 800px;
    margin: 0;
}

.meuble_partie_basse a {
    color: black;
}

.meuble_partie_basse p {
    font-size: 1.3rem;
}

.meuble_partie_basse .transport {
    /* margin: auto; */
    text-align: justify;
}

.meuble_partie_basse h1 {
    font-size: 3rem;
}


.message_statut {
    display: flex;
    min-width: 260px;
    align-items: flex-end;
    justify-content: flex-end;
    margin: auto;
}

.message_statut a {
    color: black;
    align-items: center;
    justify-content: center;
    display: flex;
    margin: 20px auto;
    font-size: larger;
}

.message_statut a:hover {
    color: rgba(0, 0, 0, 0.692);
    font-weight: bold;
}

.message_statut p {
    width: 100%;
    margin-top: 10px;  /*top, right, bottom, left */
    font-size: larger;
}


.message_statut button {
    background-color: white;
    color: black;
    border-color: black;
    border-radius: 8px;
    padding: 10px 20px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s; /* Transition douce pour les changements de couleur */
    margin: 30px 0; 
    font-size: larger;
}

.message_statut button:hover {
    background-color: black; /* Inverser la couleur du fond et du texte */
    color: white; 
}


.meuble-disponible, .meuble-deja-vendu {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    display: flex;
    text-align: center;
    /* border: solid rgb(3, 90, 3); */
}

.meuble-disponible a, .meuble-deja-vendu a {
    font-size: x-large;
}

.meuble-disponible .dispo-image {
    max-height: 110px;
    width: 230px;
    margin-bottom: 1rem;
}

.meuble-deja-vendu .deja-vendu-image{
    max-width: 269px;
    max-height: 127px;
}

.meuble-deja-vendu p {
    margin-top: 1.5rem;
    font-size: x-large;
}

/* -- CONTINUER VISITE --*/
.large-laquo {
    font-size: larger; /* Augmente la taille de tout le texte, y compris le symbole */
    cursor: pointer;
    position: relative;
}

.message_statut a:hover{
    color: rgba(0, 0, 0, 0.849);
}


/* EFFET surlignage dynamique */
.large-laquo::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: black;
    transform: scaleX(0);
    transition: transform 0.5s ease;
}

.large-laquo:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

.large-laquo::after {
    transform-origin: right;
}


.large-laquo::before {
    content: "«";
    font-size: 2rem;
    margin-right: 0.5rem;
}



/* ----- RESPONSIVE ----- */
@media (max-width: 1000px){

    .partie_sous_gallerie {
        flex-direction: column;
    }

    .message_statut {
        margin: 2rem auto;
    }

    .meuble_partie_basse {
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .meuble_partie_basse .transport {
        margin: auto;
    }

    .gallerie .photo {
        min-width: 350px;
    }

}

@media (max-width: 650px) {
    .meuble-deja-vendu p {
        font-size: 1.2rem;
    }
}

@media (max-width: 550px) {
    .meuble-deja-vendu p {
        font-size: large;
    }
}

@media (max-width: 450px) {
    .meuble_partie_haute h1 {
        font-size: 1.8rem;
    }

    .meuble_partie_basse h1 {
        font-size: 2.5rem;
    }

    .meuble_partie_basse .transport {
        font-size: 1rem;
    }



    .meuble_partie_haute .desc, .meuble_partie_haute .real{
        font-size: 1rem;
    }

    .gallerie .photo {
        min-width: 250px;
        min-height: 250px;
    }

    .message_statut button {
        font-size: 1.2rem;
    }
}

@media (max-width: 350px) {
    .message_statut button {
        font-size: 1rem;
    }

    .meuble-disponible a, .meuble-deja-vendu a {
        font-size: 1.3rem;
    }

    .message_statut p {
        font-size: 1rem;
    }

    .meuble_partie_basse p {
        font-size: 1.2rem;
    }

    .meuble_partie_basse .transport {
        font-size: 0.7rem;
    }
}


/* --- AGRANDISSEMENT IMAGE --- */

/* Lightbox styles */
.lightbox {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.9);
}

.lightbox-image {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 80%;
    max-height: 80%;
    z-index: 1000;
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    user-select: none;
}

.next {
    right: 0;
}

.prev {
    left: 0;
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.lightbox-caption {
    position: absolute;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    font-size: 18px;
    gap: 400px;
}

.lightbox-title {
    margin-left: 20px;
}

.lightbox-counter {
    margin-right: 20px;
}